%define mod_name mod_python-compat

Summary:	mod_python compatibility for Python WSGI adapter module for Apache
Name:		apache-%{mod_name}
Version:	3.4
Release:	%mkrel 4
Group:		System/Servers
License:	GPLv2+
URL:		https://wiki.mageia.org/en/Mod_python-compat
Source0:	mod_python.py
Source1:	mod_python-compat.wsgi
Requires:	apache
Requires:	apache-mod_wsgi
BuildRequires:	apache-devel
BuildRequires:	python-devel
BuildArch:	noarch

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%prep

%build

%install
rm -rf %{buildroot}

install -d -m 755		%{buildroot}%{_libdir}/python2.7/site-packages
install -D -m 644 %{SOURCE0}	%{buildroot}%{_libdir}/python2.7/site-packages/mod_python.py
install -d -m 755		%{buildroot}%{_datadir}/mod_python-compat
install -D -m 644 %{SOURCE1}	%{buildroot}%{_datadir}/mod_python-compat/mod_python-compat.wsgi
install -d -m 755		%{buildroot}%{_httpd_modconfdir}
cat > %{buildroot}%{_httpd_modconfdir}/11_mod_python-compat.conf <<'EOF'
<Files *.py>
#       WSGIProcessGroup python
#       WSGIApplicationGroup %{GLOBAL}
        MultiViewsMatch Handlers
        Options +ExecCGI
</Files>
AddHandler py-script .py
WSGIHandlerScript py-script %{_datadir}/mod_python-compat/mod_python-compat.wsgi
EOF

%files
%config(noreplace) %{_httpd_modconfdir}/11_mod_python-compat.conf
%{_datadir}/mod_python-compat/mod_python-compat.wsgi
%{_libdir}/python2.7/site-packages/mod_python.py
%{_libdir}/python2.7/site-packages/mod_python.pyc
%{_libdir}/python2.7/site-packages/mod_python.pyo


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.4-4.mga4
+ Revision: 539365
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 alien <alien> 3.4-3.mga4
+ Revision: 492057
- Rebuild for bytecompiling

* Thu Aug 01 2013 alien <alien> 3.4-2.mga4
+ Revision: 462379
- imported package apache-mod_python-compat

